<?php

    require_once '../app/model/db.class.php';
    require_once '../app/model/rangos.php';

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $periodo=$_POST['periodo'];

    $num_reg="select * from cursos_temporal where activar='1'";

    $result5 = $obj->consulta($num_reg);
    $numero = $obj->numero_de_filas($result5); // obtenemos el numero de registros

    if  ($numero!=0) {

         while($reg_ren = $obj->fetch_assoc($result5)){


        $obj->consulta("DELETE FROM proceso_academico WHERE grado='".$reg_ren['grado']."' and curso='".$reg_ren['codigo']."' and periodo='".$periodo."'");

        $reg = $obj->consulta("select * from  matriculas where grado='".$reg_ren['grado']."' and curso='".$reg_ren['codigo']."' and estado='A'");

     
        while($row = $obj->fetch_assoc($reg)){

              $reg1 = $obj->consulta("SELECT Avg(autoevaluacion) AS prom_compor FROM boletin INNER JOIN detalleboletin ON boletin.numero = detalleboletin.boletin
                                      WHERE boletin.periodo='".$periodo."' AND detalleboletin.alumno='".$row['codigo']."'");

              $row1 = $obj->fetch_assoc($reg1);
              $obj->consulta("INSERT INTO proceso_academico (periodo,alumno,grado,curso,comportamiento)
                              VALUES ('".$periodo."','".$row['codigo']."','".$row['grado']."','".$row['curso']."','".$row1['prom_compor']."')");
                
          }

          /*-------cOLOCAR 1 DECIMAL ----------------*/

           $obj->consulta("UPDATE proceso_academico SET comportamiento=ROUND(comportamiento, 1)");

           /*------ Hallamos el Nivel de Desempeño -----*/

            $nivel = $obj->consulta("select codigo,descripcion,inferior,v1,superior,v2 from rangos");

            while($row3 = $obj->fetch_assoc($nivel)){
                  $obj->consulta("update proceso_academico set nivel_compor='".$row3['descripcion']."' where comportamiento ".$row3['inferior'].$row3['v1']." and comportamiento ".$row3['superior'].$row3['v2']);
            }


         }
    }


    $obj->disconnect();

    echo "PROCESO TERMINADO";
   
?>
